module addrReg (clk, clk_en, in, out, reset);

input clk, clk_en;
input [3:0] in;
input reset;

output [3:0] out;
reg [3:0] out;

always @ (posedge clk) begin
  if(reset) begin
    out <= -1;
  end
  else begin
    if (clk_en) out <= in;
  end
end


endmodule     
	
