module COUNTX (CLK, J, K, XVAL);

input CLK;
input J;
input K;
output [9:0]XVAL;

reg [9:0]XVAL;
reg state;

always @(posedge CLK) begin

  XVAL <= XVAL + 1;
  if(J && !state) begin
    XVAL <= 0;
    state <= 1;
  end
  
  if(K) begin
    state <= 0;
  end

end

endmodule 
